Skip to main content
Returns every card issued to a single cardholder.
Card endpoints use the same base URL and API key as the rest of the API and are not signature-gated.

Endpoint

GET /api/v1/business/cardholders/{customerId}/cards
Signature required: No

Headers

HeaderRequiredDescription
X-Numero-Api-KeyYesYour API key

Path parameters

ParameterTypeRequiredDescription
customerIdstringYesThe cardholder id

Request example

curl -X GET "https://api-dev.usenumero.com/numeroaccount/api/v1/business/cardholders/NCUS9953596C2B7F45/cards" \
  -H "X-Numero-Api-Key: your_api_key"

Response

{
  "status": true,
  "message": "Successful",
  "code": "200",
  "version": "v1",
  "reference": "N20260616120000",
  "data": [{
    "cardReference": "NCRD24AD18BEBD474A",
    "customerId": "NCUS9953596C2B7F45",
    "label": "Ads spend",
    "brand": "Visa",
    "firstSix": "428852",
    "lastFour": "6353",
    "expiryMonth": "06",
    "expiryYear": "2029",
    "currency": "USD",
    "balance": 25.00,
    "status": "Active",
    "isPhysical": false,
    "dailyLimit": 5000,
    "perTransactionLimit": 1000,
    "issuedAt": "2026-06-16T12:00:00Z",
    "capabilities": ["USD", "APPLE_PAY", "GOOGLE_PAY"]
  }],
  "error": null
}